body, footer
{
    margin: 0;
    padding: 0;
    font-family: 'Titillium Web', sans-serif;
    font-size: 2vh;
    color:white;
    background-color: #19191e;
    user-select:none;
    width: 100%;
}

footer
{
    text-align: center;
}

header
{
    position: fixed;
    width: 100%;
    z-index: 1;
    top: 0;
    margin: 0;
    padding: 0;
    background-image: url("../images/OpenGL-Test-Frosted-fade.webp");
    background-repeat: repeat-y;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

h1, h2, h3, h4, h5, h6
{
    font-family: 'Inconsolata', monospace;
}

h1 {
    display: block;
    font-size: 2em;
    margin-block-start: 0.67em;
    margin-block-end: 0.67em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}

nav
{
    margin: 1vh auto auto auto;
    display: flex;
    width: 80%;
    float: none;
    flex-direction: row;
    font-size: 1vw;
}

nav h1
{
    border-style: solid;
    border-color: white;
    border-width: 1px 0px 0px 0px;
    margin: 0;
    padding: 0.5em;
}

ul
{
    margin: 0;
    padding: 0;
    list-style-type: none;
}

section
{
    display: flex;
    flex-direction: column;
}

.button
{
    font-family: 'Titillium Web', sans-serif;
    background-color: white;
    color: black;
    border: none;
    padding: 10px 15px;
    margin: 5px;
    cursor: pointer;
    text-align: center;
    text-decoration: none;
    display: inline-block;
}

.button:focus 
{
    outline: 0;
}

.button:hover, .button:active
{
    background-color: rgba(255, 255, 255, 0.6);
    transition: all 0.2s ease;
}

button
{
    font-family: 'Titillium Web', sans-serif;
    background-color: white;
    color: black;
    border: none;
    padding: 10px 15px;
    margin: 5px;
    cursor: pointer;
}

button:focus 
{
    outline: 0;
}

button:hover, .button:active
{
    background-color: rgba(255, 255, 255, 0.6);
    transition: all 0.2s ease;
}

nav button
{
    margin: 0;
    display: inline-block;
    width: 25%;
    font-size: 2em;
    background-color: transparent;
    border-style: solid;
    border-color: white;
    border-width: 1px 0px 0px 0px;
    color: white;
}

nav button:hover, nav .button:active
{
    background-color: transparent;
    color: rgba(255, 255, 255, 0.5);
}

nav button:first-child
{
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
}

nav button:last-child
{
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}

nav .button
{
    margin: 0;
    display: inline-block;
    width: 25%;
    font-size: 2em;
    background-color: transparent;
    border-style: solid;
    border-color: white;
    border-width: 1px 0px 0px 0px;
    color: white;
}

nav .button:hover, nav .button:active
{
    background-color: transparent;
    color: rgba(255, 255, 255, 0.5);
}

nav .button:first-child
{
    border-bottom-left-radius: 10px;
    border-top-left-radius: 10px;
}

nav .button:last-child
{
    border-bottom-right-radius: 10px;
    border-top-right-radius: 10px;
}

main
{
    height: fit-content;
    min-height: calc(100vh - 92px);
    background-image: url("../images/OpenGL-Test-Frosted.webp");
    background-repeat: repeat-x;
    background-size: cover;
    background-position: center;
    background-attachment: fixed;
}

.section-start
{
    padding-top: 4.5em;
}

.banner
{
    background-image: url("../images/banner.png");
    background-repeat: repeat-x;
    background-blend-mode: overlay;
    background-size: cover;
    background-position: center;
    border-style: solid;
    border-width: 2px 0px 2px 0px;
    border-color: rgba(255, 255, 255, 0.5);
    text-align: center;
    margin: 0;
    padding: 5vh;
}

.grid
{
    display: flex;
    flex-direction: column;
    flex-wrap: wrap;
    padding-bottom: 2vw;
}

.row
{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    flex-basis: auto;
}

.footer-contacts
{
    background: #0c0c0d;
    color: grey;
    padding: 0.5em;
    text-align: center;
    display: flex;
    margin: 0;
}

.footer-contacts ul
{
    margin: auto;
}

.footer-contacts ul li a
{
    color: grey;
    text-decoration: none;
}

.projects-list
{
    display: flex;
    flex-direction: column;
    height: fit-content;
}

.projects-list li
{
    height: 35vh;
    max-height: 35vw;
    width: 80vw;
    margin: 2vw auto 2vw auto;
    background-position: center;
    background-size: cover;
}

.projects-list li button
{
    margin: 0;
    position: relative;
    background-color: rgba(255, 255, 255, 0.3);
    color: transparent;
    height: 100%;
    width: 100%;
    text-align: left;
    font-size: 1.2em;
    transition: all 0.1s ease;
}

.projects-list li button:hover
{
    margin: 0;
    background-color: transparent;
    color: white;
    height: 100%;
    width: 100%;
    transition: all 0.3s ease;
}

.projects-list li button span
{
    vertical-align: bottom;
    position: absolute;
    bottom: -0.5em;
    transition: bottom 0.2s ease;
}

@media all and (max-width: 1024px)
{
    .projects-list li button span
    {
        bottom: -1vw;
    }
    
    .projects-list li button span h2
    {
        font-size: 3.9vw;
    }
    
    .projects-list li button
    {
        font-size: 2.5vw;
    }
}

.projects-list li button:hover span
{
    vertical-align: bottom;
    position: absolute;
    bottom: 0.5em;
    transition: bottom 0.2s ease;
}

.projects-list li button span h2
{
    color: white;
    vertical-align: bottom;
    position: absolute;
    bottom: -0.5em;
    transition: all 0.2s ease;
    white-space: nowrap;
}

.projects-list li button:hover span h2
{
    color: white;
    vertical-align: bottom;
    position: absolute;
    bottom: 0em;
    transition: all 0.2s ease;
    white-space: nowrap;
}

/* The Modal (background) */
.modal
{
    display: none; /* Hidden by default */
    position: fixed; /* Stay in place */
    z-index: 1; /* Sit on top */
    padding-top: 2vh;
    left: 0;
    top: 0;
    width: 100%; /* Full width */
    height: 100%; /* Full height */
    overflow: auto; /* Enable scroll if needed */
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}
  
/* Modal Content */
.project-log
{
    background-color: #fefefe;
    color: black;
    margin: auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
    max-height: 90vh;
    overflow-y: auto;
}

.projects-list p, ul, h2, h3
{
    margin-left: 10%;
    margin-right: 10%;
}

.project-log p
{
    margin-left: 10%;
    margin-right: 10%;
    font-size: 1.2em;
}

.project-log ul
{
    list-style-type: square;
    padding-left: 1.5em;
}

.project-log figure
{
    width: 70%;
    margin-left: 15%;
}

figure img
{
    width: 100%;
}

figcaption
{
    text-align: center;
}

.close
{
    margin-top: -1em;
    padding-top: 20px;
    margin-left: calc(80% - 40px);
    position: fixed;
    color: #aaaaaa;
    font-size: 48px;
    font-weight: bold;
}
  
.close:hover, .close:focus
{
    color: #000;
    text-decoration: none;
    cursor: pointer;
}

.video-wrapper
{
    margin-left: 15%;
    position: relative;
    width: 70%;
}

.video-wrapper:after
{
    content: "";
    display: block;
    padding-bottom: 56.25%;
}

.video
{
    position: absolute;
    width: 100%;
    height: 100%;
}

.video h2
{
    font-size: 2.5vw;
}

.summary
{
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    margin: 0 0 4em 10vw;
}

.portait
{
    margin: 0 1em auto 0;
    width: 20vh;
    height: 20vh;
}

.summary div
{
    margin: 0 auto auto 0;
    width: 50vw;
    font-size: 1.5em;
}

.summary div h1
{
    font-size: 1.5em;
    margin-top: 0;
    margin-bottom: 0.2em;
}

.skill-title
{
    margin: 0;
}

.skill-list
{
    margin: 2vw auto 0 auto;
    padding: 1vw;
    width: 20em;
    background-color: rgba(255,255,255,0.3);
}

.skill-list ul
{
    position: relative;
    list-style-type: square;
    margin-left: 1.5em;
}

.skill
{
    position: relative;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

.experience
{
    padding: 0 0.2em;
    margin: 0.1em 0;
    white-space: nowrap
}


.opening-text h1
{
    font-size: 5em;
    margin-bottom: 0;
    text-decoration-line: underline;
    text-decoration-style: solid;
}

.opening-text h2
{
    margin-top: 0;
    font-size: 2em;
}

.opening
{
    background-image: url("../images/OpenGL-Test-Frosted.webp");
    background-attachment: fixed;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: #333333;
    text-align: center;
    display: flex;
    height: 100vh
}

.opening-text
{
    margin: auto;
    font-weight: 100;
    cursor: pointer;
}

.opening-text:active, .opening-text:hover
{
    color: rgba(255, 255, 255, 0.5);
}

.portait
{
    margin: 0 1em auto 0;
    width: 20vh;
    height: 20vh;
}

.contact-list
{
    margin: 3vw auto 0 auto;
    padding: 1vw;
    width: 20em;
    text-align: center;
}

.contact-list ul
{
    position: relative;
    list-style-type: square;
    margin-left: 1.5em;
}

.contact:hover
{
    opacity: 0.5;
    transition: all 0.1s ease;
}

.video-channel
{
    margin: 0.5em 5% -4em 5%;
}

.video-channel .video-wrapper
{
    width: 33%;
    margin: 2vw 0.5% 2vw 0;
}

.video-channel .video-wrapper:last-child
{
    margin-right: 0;
}